apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    ef.service: ef-reporting-connector
    ef: expertflow 
  name: ef-reporting-connector
  namespace: expertflow

spec:
  replicas: 1
  selector:
    matchLabels:
      ef.service: ef-reporting-connector
  template:
    metadata:
      labels:
        ef.service: ef-reporting-connector
        ef: expertflow 
    spec:
      imagePullSecrets:
      - name: expertflow-reg-cred
      containers:
        - image: gitimages.expertflow.com/cim/reporting-connector:4.2.1
          name: ef-reporting-connector
          imagePullPolicy: IfNotPresent
          # resources:
          #   requests:
          #     memory: "64Mi"
          #     cpu: "50m"
          #   limits:
          #     memory: "256Mi"
          #     cpu: "100m"
          volumeMounts:
            - name: config-volume-conf
              mountPath: /root/config/reporting-connector.conf
              subPath: reporting-connector.conf
            - name: config-volume-cron
              mountPath: /etc/crontabs/root
              subPath: root
            - name: ef-reporting-connector-keystore-mount
              mountPath: /root/config/certs/mykeystore.jks
              subPath: mykeystore.jks
      volumes:
         - name: config-volume-conf
           configMap:
             name: ef-reporting-connector-conf
             optional: true
         - name: config-volume-cron
           configMap:
             name: ef-reporting-connector-cron
             items:
               - key: reporting-connector-cron
                 path: root
         - name: ef-reporting-connector-keystore-mount
           configMap:
             name: ef-reporting-connector-keystore
             optional: true
             items:
               - key: mykeystore.jks
                 path: mykeystore.jks
      restartPolicy: Always



